CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

calibre-smtp [opzioni] [da a testo]

Invia posta usando il protocollo SMTP. calibre-smtp ha due modalità di funzionamento. Nella modalità componi vanno specificati da, a e testo, usati per costruire e inviare un messaggio email. Nella modalità filtra, calibre-smtp legge un messaggio email completo da STDIN e lo invia.

testo è il corpo del messaggio email. Se testo non viene specificato, un messaggio email completo è letto da STDIN. da è l'indirizzo email del mittente, a l'indirizzo email del destinatario. Quando un'email completa viene letta da STDIN, da e a sono usati solo durante la negoziazione SMTP, le intestazioni del messaggio non sono modificate.

Ogni qualvolta vengono passati argomenti con degli spazi a calibre-smtp, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

[OPZIONI]

--fork, -f
    Separa il processo e consegna il messaggio in background. Se usi questa opzione dovresti usare anche --outbox per gestire le consegne fallite.

--help, -h
    mostra questo messaggio di aiuto ed esci

--localhost, -l
    Nome host di localhost. Utilizzato in caso di connessione a server SMTP.

--outbox, -o
    Percorso della cartella di posta dove archiviare le mail fallite.

--timeout, -t
    Tempo massimo per la connessione

--verbose, -v
    Aumenta la verbosità

--version
    mostra la versione del programma ed esci

  COMPOSE MAIL

Opzioni per comporre delle email. Ignorato se il testo non è specificato

--attachment, -a
    File da allegare all'email

--subject, -s
    Oggetto dell'email

  SMTP RELAY

Opzione di usare un server SMTP per mandare la mail. calibre proverà ad inviare la mail direttamente a meno che --relay non sia specificato

--cafile
    Percorso di un file contenente certificati CA concatenati in formato PEM, usati per verificare il certificato del server quando viene usato TLS. Per impostazione predefinita, vengono usati i certificati CA del sistema.

--dont-verify-server-certificate
    Non verificare il certificato del server quando ti connetti usando TLS. Questo era il comportamento predefinito nelle versioni di calibre precedenti alla 3.27. Se usi un relay con un certificato autofirmato o comunque invalido, puoi usare questa opzione per ripristinare il comportamento pre-3.27

--encryption-method, -e
    Metodi crittografici da utilizzare per la connessione al server di inoltro. Le scelte possibili sono TLS, SSL e NONE. Il valore predefinito è TLS. ATTENZIONE: Scegliere NONE è decisamente non sicuro

--password, -p
    Password per l'inoltro

--port
    Porta per collegarsi al server di inoltro. Il valore predefinito è 465, se il metodo di cifratura è SSL, altrimenti 25.

--relay, -r
    Un server SMTP di inoltro da utilizzare per inviare posta.

--username, -u
    Nome utente per l'inoltro

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal